Index: prview/perspectives/pr/inversion_panel.py
===================================================================
--- prview/perspectives/pr/inversion_panel.py	(revision 75df58b1beae85913437ed9d779e48bb1169235d)
+++ prview/perspectives/pr/inversion_panel.py	(revision 6d3d5ff4ea1037f9cbacfc73f760095dfb7284c7)
@@ -77,5 +77,5 @@
         self.distance_explorator_ctl = None
         ## Data manager
-        self.manager   = None
+        self._manager   = None
         ## Standalone flage
         self.standalone = standalone
@@ -255,7 +255,12 @@
         state = self.get_state()
             
-        self.manager.save_data(filepath=path, prstate=state)
+        self._manager.save_data(filepath=path, prstate=state)
         
         return state
+    
+    def get_data(self):
+        """
+        """
+        return self._manager.get_data()
     
     def get_state(self):
@@ -362,5 +367,5 @@
         
     def set_manager(self, manager):
-        self.manager = manager
+        self._manager = manager
         
     def _do_layout(self):
@@ -720,7 +725,7 @@
         Resets inversion parameters
         """
-        self.nfunc = self.manager.DEFAULT_NFUNC
-        self.d_max = self.manager.DEFAULT_DMAX
-        self.alpha = self.manager.DEFAULT_ALPHA
+        self.nfunc = self._manager.DEFAULT_NFUNC
+        self.d_max = self._manager.DEFAULT_DMAX
+        self.alpha = self._manager.DEFAULT_ALPHA
         self.qmin_ctl.SetValue("")
         self.qmax_ctl.SetValue("")
@@ -754,5 +759,5 @@
             
             dataset = self.plot_data.GetValue()
-            self.manager.estimate_plot_inversion(alpha=alpha, nfunc=nfunc, 
+            self._manager.estimate_plot_inversion(alpha=alpha, nfunc=nfunc, 
                                                  d_max=dmax,
                                                  q_min=qmin, q_max=qmax,
@@ -823,9 +828,9 @@
         try:
             nfunc = int(self.nfunc_ctl.GetValue())
-            npts = self.manager.get_npts()
+            npts = self._manager.get_npts()
             if npts > 0 and nfunc > npts:
                 message = "Number of function terms should be smaller "
                 message += "than the number of points"
-                wx.PostEvent(self.manager.parent, StatusEvent(status=message))
+                wx.PostEvent(self._manager.parent, StatusEvent(status=message))
                 raise ValueError, message
             self.nfunc_ctl.SetBackgroundColour(wx.WHITE)
@@ -871,11 +876,11 @@
         """
         from explore_dialog import ExploreDialog
-        if self.manager._last_pr is not None:
-            pr = self.manager._create_plot_pr()
+        if self._manager._last_pr is not None:
+            pr = self._manager._create_plot_pr()
             dialog = ExploreDialog(pr, 10, None, -1, "")
             dialog.ShowModal()
         else:
             message = "No data to analyze. Please load a data set to proceed."
-            wx.PostEvent(self.manager.parent, StatusEvent(status=message))
+            wx.PostEvent(self._manager.parent, StatusEvent(status=message))
             
     def _on_invert(self, evt):
@@ -897,7 +902,7 @@
                 message = "No data to invert. Select a data set before"
                 message += " proceeding with P(r) inversion."
-                wx.PostEvent(self.manager.parent, StatusEvent(status=message))
+                wx.PostEvent(self._manager.parent, StatusEvent(status=message))
             else:
-                self.manager.setup_plot_inversion(alpha=alpha, nfunc=nfunc, 
+                self._manager.setup_plot_inversion(alpha=alpha, nfunc=nfunc, 
                                                   d_max=dmax,
                                                   q_min=qmin, q_max=qmax,
@@ -914,8 +919,8 @@
         Choose a new input file for I(q)
         """
-        if not self.manager is None:
+        if not self._manager is None:
             self.plot_data.SetValue(str(data.name))
             try:
-                self.manager.show_data(data=data, reset=True)
+                self._manager.show_data(data=data, reset=True)
                 self._on_pars_changed(None)
                 self._on_invert(None)
Index: prview/perspectives/pr/pr.py
===================================================================
--- prview/perspectives/pr/pr.py	(revision 8994b6b76ffb80147737099cf57f4271ac4a0f4b)
+++ prview/perspectives/pr/pr.py	(revision 6d3d5ff4ea1037f9cbacfc73f760095dfb7284c7)
@@ -108,11 +108,17 @@
         # Create a CanSAS/Pr reader
         self.state_reader = Reader(self.set_state)
+        self._extensions = '.prv'
         l = Loader()
         l.associate_file_reader('.prv', self.state_reader)
-        l.associate_file_reader(".sav", self.state_reader)
+        l.associate_file_reader(".svs", self.state_reader)
                 
         # Log startup
         logging.info("Pr(r) plug-in started")
         
+    def get_data(self):
+        """
+        """
+        return self.current_plottable
+    
     def set_state(self, state, datainfo=None):
         """
